%define packname systemfit
%define packrel 5

Summary:        Simultaneous Equation Estimation R Package
Name:		R-%{packname}
Version:	0.8
Release:	7%{?dist}
License:	GPL
Group:		Applications/Engineering
Source0:	http://www.uni-kiel.de/agrarpol/ahenningsen/systemfit/%{packname}_%{version}-%{packrel}.tar.gz
URL:		http://www.systemfit.org/
BuildRequires:	R-devel, tetex-latex
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires(post):   R
Requires(postun): R
Requires:         R


%description
This R package contains functions for fitting simultaneous systems of linear
and nonlinear equations using Ordinary Least Squares (OLS), Weighted Least
Squares (WLS), Seemingly Unrelated Regressions (SUR), Two-Stage Least Squares
(2SLS), Weighted Two-Stage Least Squares (W2SLS), Three-Stage Least Squares
(3SLS), and Weighted Three-Stage Least Squares (W3SLS).


%prep
%setup -q -c -n %{packname}
iconv -f iso-8859-1 -t utf-8 < systemfit/man/systemfit.Rd > systemfit/man/systemfit.Rd_
mv systemfit/man/systemfit.Rd_ systemfit/man/systemfit.Rd


%build


%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_datadir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


%check
%{_bindir}/R CMD check %{packname}


%clean
rm -rf %{buildroot}


%post
%{_R_make_search_index}


%postun
%{_R_make_search_index}


%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/man
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help


%changelog
* Wed Feb 13 2008 Orion Poplawski <orion@cora.nwra.com> - 0.8-7
- Update to 0.8-5

* Wed Aug 15 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-6
- Update to 0.8-3

* Thu Jul 12 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-5
- Convert systemfit.Rd to UTF-8

* Thu Jul 12 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-4
- Fix URL
- Add Requires: R

* Wed Jul 11 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-3
- Update to 0.8-2
- Comply with R packaging guidelines

* Mon Mar 19 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-2
- Make noarch

* Tue Mar 06 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-1
- Initial package
